@echo off

REM install components

set INSTALLPGPNET=YES
set INSTALLPGPDISK=YES
set INSTALLPGPFONE=YES
set INSTALLPGPICQ=YES

set INSTALLMSCOM=YES
set INSTALLDOCS=YES

set PGPBASEDIR=..\..\..\..\..
set LIBSDIR=%PGPBASEDIR%\libs
set PGPNETDIR=%PGPBASEDIR%\clients\net\win32
set PGPDISKDIR=%PGPBASEDIR%\clients\disk\win32
set PGPFONEDIR=%PGPBASEDIR%\clients\fone\win32
set RELEASEDIR=..\..\PGPClient\Release
set INSTALLDIR="Setup Files\Compressed Files\0011-Japanese\Intel 32"
set NKFPATH=..\..\..\..\..\..\..\nkf32103a\nkf32.dll
set MCCPATH=..\..\..\..\..\..\..\MS\401comupd.exe
set MFCDIR=..\..\..\..\..\..\..\MS
set DOCSDIR=%PGPBASEDIR%\docs\builds\freeware
set LICENSE=%DOCSDIR%\Freeware.txt
set SUPPORTDIR=..\supportfiles\business


REM Delete existing DATA directory and create common hierarchy

if EXIST DATA rmdir /Q /S Data
if EXIST "Setup Files" rmdir /Q /S "Setup Files"
rem if EXIST "Component Definitions\Default.cdf" del "Component Definitions\Default.cdf"
if EXIST "Script Files\config.h" del "Script Files\config.h"


REM Create data directories

MKDIR DATA
MKDIR DATA\NTCMDLINE
MKDIR DATA\NTCMDLINEDOCS

MKDIR DATA\PGP
MKDIR DATA\PGP\DLLS
MKDIR DATA\PGP\DOCS
MKDIR DATA\PGP\DOCS\ADMINONLY
MKDIR DATA\PGP\EUDORA
MKDIR DATA\PGP\EUDORAV4
MKDIR DATA\PGP\EXCHANGE
MKDIR DATA\PGP\EXES
MKDIR DATA\PGP\HELP
MKDIR DATA\PGP\KEYRINGS
MKDIR DATA\PGP\MEMLOCK
MKDIR DATA\PGP\MEMLOCK\2K
MKDIR DATA\PGP\OE
MKDIR DATA\PGP\SAMPLEKEYS
MKDIR DATA\PGP\SDK

MKDIR DATA\NKF
MKDIR DATA\MFC
MKDIR DATA\TEMP
MKDIR DATA\USERGUIDE

MKDIR DATA\PGPDISK
MKDIR DATA\PGPDISK\DLLS
MKDIR DATA\PGPDISK\DRIVER
MKDIR DATA\PGPDISK\DRIVER\2K
MKDIR DATA\PGPDISK\DRIVER95
MKDIR DATA\PGPDISK\HELP

MKDIR DATA\PGPNET
MKDIR DATA\PGPNET\DRIVER
MKDIR DATA\PGPNET\DRIVER95
MKDIR DATA\PGPNET\INF

MKDIR DATA\PGPFONE
MKDIR DATA\PGPFONE\DOCS
MKDIR DATA\PGPFONE\MAN

MKDIR DATA\ICQ
MKDIR DATA\ICQ\DOCS

MKDIR "Setup Files"
MKDIR "Setup Files\Compressed Files"
MKDIR "Setup Files\Compressed Files\0009-English"
MKDIR "Setup Files\Compressed Files\0009-English\Intel 32"
MKDIR "Setup Files\Compressed Files\0009-English\OS Independent"
MKDIR "Setup Files\Compressed Files\Language Independent"
MKDIR "Setup Files\Compressed Files\Language Independent\Intel 32"
MKDIR "Setup Files\Compressed Files\Language Independent\OS Independent"
MKDIR "Setup Files\Uncompressed Files"
MKDIR "Setup Files\Uncompressed Files\0009-English"
MKDIR "Setup Files\Uncompressed Files\0009-English\Intel 32"
MKDIR "Setup Files\Uncompressed Files\0009-English\OS Independent"
MKDIR "Setup Files\Compressed Files\0011-Japanese"
MKDIR "Setup Files\Compressed Files\0011-Japanese\Intel 32"
MKDIR "Setup Files\Compressed Files\0011-Japanese\OS Independent"
MKDIR "Setup Files\Uncompressed Files\0011-Japanese"
MKDIR "Setup Files\Uncompressed Files\0011-Japanese\Intel 32"
MKDIR "Setup Files\Uncompressed Files\0011-Japanese\OS Independent"


rem ###########################################
:args

if NOT "%1" == "LITE" goto copystart

set INSTALLMSCOM=NO
set INSTALLDOCS=NO


rem ###########################################
:copystart

rem copy "Component Definitions\JA.cdf" "Component Definitions\Default.cdf"

echo // made by CopyFilesJa.bat > "Script Files\config.h"

if "%INSTALLDOCS%" == "NO" echo #define INCLUDE_MANUAL "FALSE" >> "Script Files\config.h"


rem ###########################################
:goodargs

REM Copy Installer helpers

copy %LIBSDIR%\pfl\win32\InstallDLL\Release\install.dll				%INSTALLDIR%
copy %PGPBASEDIR%\clients\disk\win32\PGPDiskInstallHelper\Release\PGPDskIH.dll	%INSTALLDIR%
copy %LICENSE%									%INSTALLDIR%\License.txt

copy ..\supportfiles\pubring.pkr		DATA\PGP\KEYRINGS
copy ..\supportfiles\secring.skr		DATA\PGP\KEYRINGS

copy ..\supportfiles\SampleKeys.asc		DATA\PGP\SAMPLEKEYS
copy ..\supportfiles\WhatIsThis.txt		DATA\PGP\SAMPLEKEYS
copy "..\supportfiles\Imad R. Faiad.asc"	DATA\PGP\SAMPLEKEYS
copy "..\supportfiles\Seigo Arai.asc"		DATA\PGP\SAMPLEKEYS

copy ..\supportfiles\toprightlogo\neta.bmp	%INSTALLDIR%
copy ..\supportfiles\toprightlogo\netax.bmp	%INSTALLDIR%

copy %DOCSDIR%\WhatsNew.txt			%INSTALLDIR%
copy ..\supportfiles\readckt.txt		%INSTALLDIR%
copy ..\supportfiles\READMEJA.TXT		%INSTALLDIR%
copy %SUPPORTDIR%\SideBar.bmp			%INSTALLDIR%
copy %SUPPORTDIR%\SideBarX.bmp			%INSTALLDIR%
copy %SUPPORTDIR%\SideBarXX.bmp 		%INSTALLDIR%

REM Copy Common PGP Files

copy %RELEASEDIR%\PGPcl.dll			DATA\PGP\DLLS
copy %RELEASEDIR%\PGPhk.dll			DATA\PGP\DLLS
copy %RELEASEDIR%\PGPmn.dll			DATA\PGP\DLLS
copy %RELEASEDIR%\PGPsc.dll			DATA\PGP\DLLS
copy %RELEASEDIR%\PGPKeys.exe			DATA\PGP\EXES
copy %RELEASEDIR%\PGPLog.exe			DATA\PGP\EXES
copy %RELEASEDIR%\PGPTools.exe			DATA\PGP\EXES
copy %RELEASEDIR%\PGPTray.exe			DATA\PGP\EXES
copy %RELEASEDIR%\PGPAdmin.exe			DATA\PGP\EXES
copy ..\uninstall\Uninstall.exe 		DATA\PGP\EXES

copy %RELEASEDIR%\PGP_SDK.dll			DATA\PGP\SDK
copy %RELEASEDIR%\PGPsdkNL.dll			DATA\PGP\SDK
copy %RELEASEDIR%\PGPsdkUI.dll			DATA\PGP\SDK

copy %LIBSDIR%\pfl\win32\SecureMemory\PGPmemlock9x\Release\PGPmemlock.vxd	DATA\PGP\MEMLOCK
copy %LIBSDIR%\pfl\win32\SecureMemory\PGPmemlockNT\Release\PGPmemlock.sys	DATA\PGP\MEMLOCK\PGPmemlock.NT4
copy %LIBSDIR%\pfl\win32\SecureMemory\PGPmemlockNT\Release2k\PGPmemlock.sys	DATA\PGP\MEMLOCK\2k\PGPmemlock.W2K

copy %RELEASEDIR%\PGPEudoraPlugin.dll		DATA\PGP\EUDORA\PGPPlugin.dll
copy %RELEASEDIR%\PGPEudoraPluginV4.dll 	DATA\PGP\EUDORAV4\PGPPlugin.dll
copy %RELEASEDIR%\PGPExch.dll			DATA\PGP\EXCHANGE
copy %RELEASEDIR%\PGPOE.dll			DATA\PGP\OE

copy %DOCSDIR%\..\ds\PGP.cnt			DATA\PGP\HELP
copy %DOCSDIR%\..\ds\PGP.hlp			DATA\PGP\HELP
copy %DOCSDIR%\WhatsNew.htm			DATA\PGP\DOCS
copy ..\supportfiles\readckt.txt		DATA\PGP\DOCS
copy ..\supportfiles\READMEJA.TXT		DATA\PGP\DOCS
if NOT "%INSTALLDOCS%" == "NO" copy %DOCSDIR%\..\ds\PGPWinUsersGuide.pdf	DATA\USERGUIDE
if NOT "%INSTALLDOCS%" == "NO" copy %DOCSDIR%\..\common\IntroToCrypto.pdf	DATA\USERGUIDE
if NOT "%INSTALLDOCS%" == "NO" copy %DOCSDIR%\..\ds\PGPAdministratorsGuide.pdf	DATA\PGP\DOCS\ADMINONLY

copy %PGPBASEDIR%\clients\pgp\cmdline\Release\PGP.exe	DATA\NTCMDLINE
copy %PGPBASEDIR%\clients\pgp\cmdline\i18n\PGPC_ja.lng	DATA\NTCMDLINE
if NOT "%INSTALLDOCS%" == "NO" copy %DOCSDIR%\..\cmdline\PGPCmdLineGuide.pdf		DATA\NTCMDLINEDOCS

copy %NKFPATH%					DATA\NKF


rem ###########################################
:checkmscom

if "%INSTALLMSCOM%" == "NO" goto checknet

copy %MFCDIR%\mfc42.dll				DATA\MFC
copy %MFCDIR%\msvcrt.dll			DATA\MFC
copy %MCCPATH%					DATA\TEMP


rem ###########################################
:checknet

if "%INSTALLPGPNET%" == "NO" goto checkdisk

copy %PGPNETDIR%\Service\Release\IKEService.exe			DATA\PGPNET
copy %PGPNETDIR%\Install\Enumerator\Release\SetAdapter.exe	DATA\PGPNET
copy %PGPNETDIR%\App\NetApp\\Release\PGPNet.exe			DATA\PGPNET
copy %PGPNETDIR%\App\NetApp\\Release\PGPNet.exe			DATA\PGPNET
copy %DOCSDIR%\..\ds\PGPnet.cnt					DATA\PGPNET
copy %DOCSDIR%\..\ds\PGPnet.hlp					DATA\PGPNET
copy %PGPNETDIR%\Install\Inf\NT\OEMSetup.inf			DATA\PGPNET\INF
copy %PGPNETDIR%\Install\Inf\NT\PGPRebind.inf			DATA\PGPNET\INF
copy %PGPNETDIR%\Install\Inf\9598\Pgpmaca.inf			DATA\PGPNET\INF
copy %PGPNETDIR%\Install\Inf\9598\Pgpmact.inf			DATA\PGPNET\INF
copy %PGPNETDIR%\Driver\Release\PGPnet.sys			DATA\PGPNET\DRIVER
copy %PGPNETDIR%\Driver\Win95Release\PGPnet.vxd			DATA\PGPNET\DRIVER95


rem ###########################################
:checkdisk

if "%INSTALLPGPDISK%" == "NO" goto checkfone

copy %PGPDISKDIR%\PGPDiskApp\Release\PGPDisk.exe		DATA\PGPDISK
copy %PGPDISKDIR%\PGPDiskResident\Release\PGPDiskResident.exe	DATA\PGPDISK
copy %DOCSDIR%\..\ds\PGPdisk.cnt				DATA\PGPDISK\HELP
copy %DOCSDIR%\..\ds\PGPdisk.hlp				DATA\PGPDISK\HELP
copy %PGPDISKDIR%\PGPDiskShellExt\Release\PGPdskSE.dll		DATA\PGPDISK\DLLS
copy %PGPDISKDIR%\PGPDiskDrvWin95\Release\PGPdisk.pdr		DATA\PGPDISK\DRIVER
copy %PGPDISKDIR%\PGPDiskDrvNT\i386\free\PGPdisk.sys		DATA\PGPDISK\DRIVER\PGPdisk.NT4
copy %PGPDISKDIR%\PGPDiskDrvNT\win2k\i386\PGPdisk.sys		DATA\PGPDISK\DRIVER\2k\PGPdisk.W2K


rem ###########################################
:checkfone

if "%INSTALLPGPFONE%" == "NO" goto checkicq

copy %PGPFONEDIR%\Release\PGPfone.exe			DATA\PGPFONE
copy %PGPFONEDIR%\..\install\win\bring.wav		DATA\PGPFONE
copy %PGPFONEDIR%\..\install\win\busy.wav		DATA\PGPFONE
copy %PGPFONEDIR%\..\install\win\insecure.wav		DATA\PGPFONE
copy %PGPFONEDIR%\..\install\win\ring.wav		DATA\PGPFONE
copy %PGPFONEDIR%\..\install\docs\README.txt		DATA\PGPFONE\DOCS\PGPfone.txt
if NOT "%INSTALLDOCS%" == "NO" copy %PGPFONEDIR%\..\install\docs\manual-10b7.pdf	DATA\PGPFONE\MAN\PGPfone.pdf


rem ###########################################
:checkicq

if "%INSTALLPGPICQ%" == "NO" goto doneOK

copy %LIBSDIR%\pgpcdk\win32\pgpicq\Release\PGPICQ.exe DATA\ICQ
copy %LIBSDIR%\pgpcdk\win32\pgpicq\Release\pgpicq.dll DATA\ICQ
rem copy %LIBSDIR%\pgpcdk\win32\pgpicq\Release\pgpkeys.exe DATA\ICQ
copy %LIBSDIR%\pgpcdk\win32\pgpicq\ReadMe.txt DATA\ICQ\DOCS\PGPICQReadMe.txt
copy %LIBSDIR%\pgpcdk\win32\pgpicq\ReadMe.txt DATA\ICQ\DOCS\PGPICQwhatsnew.txt


rem ###########################################

:doneOK
@echo End of CopyFiles.bat
goto done

:badargs
@echo Invalid build name argument

:done
